Subject: Re: [GIT PULL] SCTP bug fixes for net-2.6

From: Vlad Yasevich <[email-masked]>
Date: Wed, 12 Dec 2007 10:30:47 -0500

Jijo Chacko wrote:
> 
> Hello experts,
> 
> [ sorry if  my questions are irrelevent to any one of you ].
> 
> I am trying to develop a frame work, where i  transport all HTTP traffic
> over SCTP. On user space, i can do this easily over SCTP, BSD-style
> sockets. If i am to write a kernel module(say in-kernel web
> client/server) using kernel version of SCTP interfaces, what are the
> available calls now supported ? I see in-kernel implementation like
> NFS/RPC make kernel version of UDP and TCP _sendmsg, i don't find
> similar interfaces for SCTP..

Look at fs/dlm/lowcomms.c

All you need to do is use IPPROTO_SCTP when creating a socket in
the kernel and then I believe you can use all the same calls as TCP/UDP.

-vlad